{
	"table_name_local": "terms_of_payment",
	"table_number": 19,
	"name": "table/external/4d/manager/order/terms_of_payment.json",
	"table_name": "terms_of_payment",
	"field": [
		{
			"field_number": 7,
			"name": "ar_code",
			"type": "varchar",
			"length": 6
		},
		{
			"field_number": 16,
			"name": "change_id",
			"type": "varchar",
			"length": 45
		},
		{
			"field_number": 17,
			"name": "creator_id",
			"type": "varchar",
			"length": 20
		},
		{
			"field_number": 14,
			"name": "customer_project",
			"type": "varchar",
			"length": 40
		},
		{
			"field_number": 3,
			"type": "integer",
			"name": "discount_days"
		},
		{
			"field_number": 2,
			"type": "double",
			"name": "discount_percentage"
		},
		{
			"field_number": 9,
			"name": "export_code",
			"type": "varchar",
			"length": 12
		},
		{
			"field_number": 11,
			"name": "firm_id",
			"constraint": [
				"index"
			],
			"type": "integer"
		},
		{
			"field_number": 6,
			"type": "text",
			"name": "info"
		},
		{
			"field_number": 18,
			"name": "modifier_id",
			"type": "varchar",
			"length": 20
		},
		{
			"field_number": 5,
			"name": "name",
			"type": "varchar",
			"length": 40
		},
		{
			"field_number": 4,
			"type": "integer",
			"name": "net_days"
		},
		{
			"field_number": 8,
			"type": "boolean",
			"name": "no_due_date"
		},
		{
			"field_number": 15,
			"name": "project_id",
			"type": "varchar",
			"length": 40
		},
		{
			"field_number": 12,
			"name": "record_id",
			"constraint": [
				"unique"
			],
			"type": "varchar",
			"length": 45
		},
		{
			"field_number": 10,
			"type": "integer",
			"name": "target_date_difference"
		},
		{
			"field_number": 1,
			"name": "terms_of_payment_id",
			"constraint": [
				"unique"
			],
			"type": "varchar",
			"length": 12
		},
		{
			"field_number": 13,
			"name": "transfer_id",
			"constraint": [
				"index"
			],
			"type": "varchar",
			"length": 60
		},
		{
			"field_number": 19,
			"type": "integer",
			"name": "transfer_state"
		}
	],
	"table_prefix": "top",
	"record_type_local": ""
}